%{?nodejs_find_provides_and_requires}

%global packagename unicode-length
%global enable_tests 0
# tests disabled due to missing npm(gulp)

Name:		nodejs-unicode-length
Version:	1.0.0
Release:	1%{?dist}
Summary:	Get the length of unicode strings

License:	MIT
URL:		https://github.com/jviotti/unicode-length.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(gulp)
%endif

Requires:	nodejs

%description
Get the length of unicode strings


%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.json *.coffee lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
gulp test
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Wed Oct 28 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-1
- Initial packaging
